<html>
<head>
<title>Terrain - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Terrain</div>  </div>
<div class="ingroups"><a class="el" href="group__Optional.html">Components</a></div></div><!--header-->
<div class="contents">

<p>Some details on the terrain component.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Terrain:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Terrain.gif" border="0" alt="" usemap="#group____Terrain"/>
<map name="group____Terrain" id="group____Terrain">
<area shape="rect" id="node1" href="group__Optional.html" title="Components" alt="" coords="5,5,101,35"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The main containing class for a chunk of terrain.  <a href="classOgre_1_1Terrain.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainGlobalOptions.html">Ogre::TerrainGlobalOptions</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Options class which just stores default options for the terrain.  <a href="classOgre_1_1TerrainGlobalOptions.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper class to assist you in managing multiple terrain instances that are connected to each other.  <a href="classOgre_1_1TerrainGroup.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class exposing an interface to a blend map for a given layer.  <a href="classOgre_1_1TerrainLayerBlendMap.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html">Ogre::TerrainLayerSamplerElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Information about one element of a sampler / texture within a layer.  <a href="structOgre_1_1TerrainLayerSamplerElement.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSampler.html">Ogre::TerrainLayerSampler</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Description of a sampler that will be used with each layer.  <a href="structOgre_1_1TerrainLayerSampler.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerDeclaration.html">Ogre::TerrainLayerDeclaration</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The definition of the information each layer will contain in this terrain.  <a href="structOgre_1_1TerrainLayerDeclaration.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class that provides functionality to generate materials for use with a terrain.  <a href="classOgre_1_1TerrainMaterialGenerator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA.html">Ogre::TerrainMaterialGeneratorA</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="classOgre_1_1TerrainMaterialGenerator.html" title="Class that provides functionality to generate materials for use with a terrain.">TerrainMaterialGenerator</a> which can cope with normal mapped, specular mapped terrain.  <a href="classOgre_1_1TerrainMaterialGeneratorA.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainPagedWorldSection.html">Ogre::TerrainPagedWorldSection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A world section which includes paged terrain.  <a href="classOgre_1_1TerrainPagedWorldSection.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainPaging.html">Ogre::TerrainPaging</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class is the 'core' class for paging terrain, that will integrate with the larger paging system and provide the appropriate utility classes required.  <a href="classOgre_1_1TerrainPaging.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A node in a quad tree used to store a patch of terrain.  <a href="classOgre_1_1TerrainQuadTreeNode.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; TerrainLayerBlendMap * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#ga0abaf85368e5e249f471ee358e7c8f60">Ogre::TerrainLayerBlendMapList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; TerrainLayerSamplerElement &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#gaed5c69e4a57dade51d33e835d0702660">Ogre::TerrainLayerSamplerElementList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; TerrainLayerSampler &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#gadf90591c883d93190405f52ca11ef600">Ogre::TerrainLayerSamplerList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; TerrainMaterialGenerator &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#ga152d33cadca984511f2c0459562c7b0b">Ogre::TerrainMaterialGeneratorPtr</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">Ogre::TerrainLayerSamplerSemantic</a> { <a class="el" href="group__Terrain.html#ggad6e8e88c8f2109b45648fd6f3ec00a84a6407050de320fbf7c06c77bb97e647e7">Ogre::TLSS_ALBEDO</a> =  0, 
<a class="el" href="group__Terrain.html#ggad6e8e88c8f2109b45648fd6f3ec00a84ae90f168a77e4047af27e14ca52d8205a">Ogre::TLSS_NORMAL</a> =  1, 
<a class="el" href="group__Terrain.html#ggad6e8e88c8f2109b45648fd6f3ec00a84adeb418649d89cf961e3f60b009a5e5fb">Ogre::TLSS_HEIGHT</a> =  2, 
<a class="el" href="group__Terrain.html#ggad6e8e88c8f2109b45648fd6f3ec00a84ae7b29f10d891aac2a3e41c71f7fa96c7">Ogre::TLSS_SPECULAR</a> =  3
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration of types of data that can be read from textures that are specific to a given layer.  <a href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">More...</a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<p>Some details on the terrain component. </p>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga0abaf85368e5e249f471ee358e7c8f60"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMapList" ref="ga0abaf85368e5e249f471ee358e7c8f60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;TerrainLayerBlendMap*&gt;::type <a class="el" href="group__Terrain.html#ga0abaf85368e5e249f471ee358e7c8f60">Ogre::TerrainLayerBlendMapList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00190">190</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaed5c69e4a57dade51d33e835d0702660"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerElementList" ref="gaed5c69e4a57dade51d33e835d0702660" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;TerrainLayerSamplerElement&gt;::type <a class="el" href="group__Terrain.html#gaed5c69e4a57dade51d33e835d0702660">Ogre::TerrainLayerSamplerElementList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00096">96</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="gadf90591c883d93190405f52ca11ef600"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerList" ref="gadf90591c883d93190405f52ca11ef600" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;TerrainLayerSampler&gt;::type <a class="el" href="group__Terrain.html#gadf90591c883d93190405f52ca11ef600">Ogre::TerrainLayerSamplerList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00119">119</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga152d33cadca984511f2c0459562c7b0b"></a><!-- doxytag: member="Ogre::TerrainMaterialGeneratorPtr" ref="ga152d33cadca984511f2c0459562c7b0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;TerrainMaterialGenerator&gt; <a class="el" href="group__Terrain.html#ga152d33cadca984511f2c0459562c7b0b">Ogre::TerrainMaterialGeneratorPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00397">397</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="gad6e8e88c8f2109b45648fd6f3ec00a84"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerSemantic" ref="gad6e8e88c8f2109b45648fd6f3ec00a84" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">Ogre::TerrainLayerSamplerSemantic</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enumeration of types of data that can be read from textures that are specific to a given layer. </p>
<p>Notice that global texture information such as shadows and terrain normals are not represented here because they are not a per-layer attribute, and blending is stored in packed texture structures which are stored separately. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggad6e8e88c8f2109b45648fd6f3ec00a84a6407050de320fbf7c06c77bb97e647e7"></a><!-- doxytag: member="TLSS_ALBEDO" ref="ggad6e8e88c8f2109b45648fd6f3ec00a84a6407050de320fbf7c06c77bb97e647e7" args="" -->TLSS_ALBEDO</em>&nbsp;</td><td>
<p>Albedo colour (diffuse reflectance colour) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggad6e8e88c8f2109b45648fd6f3ec00a84ae90f168a77e4047af27e14ca52d8205a"></a><!-- doxytag: member="TLSS_NORMAL" ref="ggad6e8e88c8f2109b45648fd6f3ec00a84ae90f168a77e4047af27e14ca52d8205a" args="" -->TLSS_NORMAL</em>&nbsp;</td><td>
<p>Tangent-space normal information from a detail texture. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggad6e8e88c8f2109b45648fd6f3ec00a84adeb418649d89cf961e3f60b009a5e5fb"></a><!-- doxytag: member="TLSS_HEIGHT" ref="ggad6e8e88c8f2109b45648fd6f3ec00a84adeb418649d89cf961e3f60b009a5e5fb" args="" -->TLSS_HEIGHT</em>&nbsp;</td><td>
<p>Height information for the detail texture. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggad6e8e88c8f2109b45648fd6f3ec00a84ae7b29f10d891aac2a3e41c71f7fa96c7"></a><!-- doxytag: member="TLSS_SPECULAR" ref="ggad6e8e88c8f2109b45648fd6f3ec00a84ae7b29f10d891aac2a3e41c71f7fa96c7" args="" -->TLSS_SPECULAR</em>&nbsp;</td><td>
<p>Specular reflectance. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00056">56</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
